Subject: bug#12019: join command - wrong column moved to start of line with the -v2 option

From: Eric Blake <[email-masked]>
Date: Sat, 21 Jul 2012 16:11:23 -0600

tag 12019 moreinfo
thanks

On 07/21/2012 12:20 PM, Jean-Pierre Tosoni wrote:
> Hello Maintainer,
> 
> I am using join v8.5 from debian squeeze.
> 

> now, the command:
>    join   -v 2   -1 2   -2 3   a   b
> produces
> ==== wrong output ====
> zzz222 zzz111 keyZ zzz333

I tried reproducing this with coreutils 8.17:

$ cat a b
axx111 keyX axx222
ayy111 keyY ayy222
xxx111 xxx222 keyX xxx333
zzz111 zzz222 keyZ zzz333
$ join -v2 -1 2 -2 3 a b
keyZ zzz111 zzz222 zzz333

but I get the expected order.  I don't see a specific mention of a fix
for this in NEWS, so I have to wonder if this might be a bug in a
debian-specific patch.  Can you do some more investigating, such as
compiling upstream coreutils to see if the problem still persists for you?

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org